1

This is on an (almost) fresh Magento EE 1.13.02 installation. I have only one custom module, which I disabled, however the error still occurs.

The issue happens in System -> Permissions -> Roles -> Click role to edit (/admin/permissions_role/editrole/rid/1/), and started happening since I added a second role.

After checking for a bit, I found the following blocks that were included, that contain the offending code:

// Mage_Adminhtml_Block_Api_Role_Grid_User
protected function _prepareCollection()
{
    $roleId = $this->getRequest()->getParam('rid');
    Mage::register('RID', $roleId);
    // more code

And

// Mage_Adminhtml_Block_Permissions_Role_Grid_User
protected function _prepareCollection()
{
    $roleId = $this->getRequest()->getParam('rid');
    Mage::register('RID', $roleId);
    // more code

These 2 blocks are almost identical, and both are included, causing the error in the title.

Does anyone know why this is happening ? A fix would be to move one of these files in local and perform a check for RID, but it's a very nasty sollution, so is there a better fix?

Extra: I do not have the module Enhanced Admin Grids

1

This fixes the admin grid. I had the same issue in CE 1.9.

app/code/community/BL/CustomGrid/Model/Grid/Type/Permissions/Role/User.php

return ($type == 'adminhtml/permissions_role_grid_user');

TO

return (($type == 'adminhtml/permissions_role_grid_user') || ($type == 'adminhtml/api_role_grid_user'));

Admin Grids Breaks Magento SOAP/SML Roles #40

fix SOAP/XML-RPC role page

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.